
QGIS Application - Bug report #10417

Layer symbology does not update in TOC when using categorised style

2014-06-02 06:11 AM - Ross McDonald

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 18832

Description

Add a vector layer to the project (I'm using a point shp), open style properties, choose categorized style, select field to use, click classify. 

Table is populated with selected symbol styles and colours.  Clicking OK without first clicking Apply does not update the symbology of the

layer in the TOC until the layer position in the TOC is changed.  The same is true going from a categorized layer to a layer with a single

symbol - TOC is not updated if Apply is not clicked before OK.

Setting the categorized style and clicking Apply and then OK correctly updates the symbology in the TOC.

I'm using QGIS master ca6d4d9 on Windows 7 32 bit.

History

#1 - 2014-06-02 07:40 AM - Ross McDonald

- File qgis2.zip added

- File toc_symbology.jpg added

Closing QGIS and restarting stops the problem for a while and then it starts happening again. I have attached a screenshot showing the new style on the

canvas (pink dots) and the old style in the TOC (green dots).  If I move the layer in the tree then the symbol updates.

I have attached a screenshot and some output from DebugView when I changed the colour from pink to orange.

#2 - 2014-06-04 09:28 PM - Martin Dobias

- Resolution set to duplicate

- Status changed from Open to Closed

Presumably a duplicate of #10469

Files

toc_symbology.jpg 113 KB 2014-06-02 Ross McDonald

qgis2.zip 3.53 KB 2014-06-02 Ross McDonald
